cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Craig R. McClanahan" <Craig.McClana...@eng.sun.com>
Subject Re: [C2] C2 and Tomcat 4.0 CVS (Class javax/servlet/http/HttpServletRequest violates loader constraints)
Date Wed, 13 Dec 2000 16:59:11 GMT
"Schmitt, Christian" wrote:

> Hi all,
> I had Cocoon 2 and Tomcat 4 (CVS) working for a couple of days, but since
> yesterday I'm getting a strange error (see subject), and frankly I don't
> know what's causing it.
> Anyway, here's the offending XSP page:
>
> <?xml version="1.0" encoding="ISO-8859-1"?>
> <xsp:page
>   language="java"
>   xmlns:xsp="http://apache.org/xsp"
> >
>   <page>
>     <xsp:expr>
>       request.getSession(true)
>     </xsp:expr>
>   </page>
> </xsp:page>
>
> The error message says:
> Error creating the resource: Class javax/servlet/http/HttpServletRequest
> violates loader constraints
>

I'm not sure what is causing this either, and the stack trace starts pretty deep
inside the Cocoon processing hierarchy.  A couple of notes that might help
investigate:

* This particular error message appears to be generated by
  Cocoon, not Tomcat.  I cannot find such an error message text
  in Tomcat's message files (or Strings in the code).

* One thing guaranteed to cause problems would be an attempt
  to load a "javax.servlet.http.HttpServletRequest" class from a
  JAR file underneath WEB-INF/lib (or from an unpacked class
  under WEB-INF/classes).  Tomcat disallows such an attempt
  to override one of the standard API classes.

Craig McClanahan



Mime
View raw message